=== modified file 'branchview/treeview.py'
--- branchview/treeview.py	2011-04-15 01:02:16 +0000
+++ branchview/treeview.py	2011-04-15 01:07:44 +0000
@@ -156,15 +156,23 @@
         elif property.name == 'branch':
             return self.branch
         elif property.name == 'revision':
+            if self.path is None:
+                return None
             return self.model.get_value(self.model.get_iter(self.path),
                                         treemodel.REVISION)
         elif property.name == 'revision-number':
+            if self.path is None:
+                return None
             return self.model.get_value(self.model.get_iter(self.path),
                                         treemodel.REVNO)
         elif property.name == 'children':
+            if self.path is None:
+                return None
             return self.model.get_value(self.model.get_iter(self.path),
                                         treemodel.CHILDREN)
         elif property.name == 'parents':
+            if self.path is None:
+                return None
             return self.model.get_value(self.model.get_iter(self.path),
                                         treemodel.PARENTS)
         else:

=== modified file 'viz/branchwin.py'
--- viz/branchwin.py	2011-04-15 00:15:25 +0000
+++ viz/branchwin.py	2011-04-15 01:07:44 +0000
@@ -128,12 +128,7 @@
         vbox.pack_start(paned, expand=True, fill=True)
         vbox.set_focus_child(paned)
 
-        self.treeview.connect('revision-selected',
-                self._treeselection_changed_cb)
-        self.treeview.connect('revision-activated',
-                self._tree_revision_activated)
 
-        self.treeview.connect('tag-added', lambda w, t, r: self._update_tags())
         vbox.show()
 
         return vbox
@@ -393,6 +388,10 @@
         self.revisionview.connect('notify::revision', self._go_clicked_cb)
         self.treeview.connect('tag-added',
             lambda w, t, r: self.revisionview.update_tags())
+        self.treeview.connect('revision-selected',
+                self._treeselection_changed_cb)
+        self.treeview.connect('revision-activated',
+                self._tree_revision_activated)
         self.diff_paned.pack1(self.revisionview)
 
         from bzrlib.plugins.gtk.diff import DiffWidget
@@ -414,9 +413,8 @@
         parents  = self.treeview.get_parents()
         children = self.treeview.get_children()
 
-        self.revision_menu.set_revision_ids([revision.revision_id])
-
-        if revision and revision != NULL_REVISION:
+        if revision and revision.revision_id != NULL_REVISION:
+            self.revision_menu.set_revision_ids([revision.revision_id])
             prev_menu = gtk.Menu()
             if len(parents) > 0:
                 self.prev_rev_action.set_sensitive(True)

